Media Groups
Returns a list of media groups
GET/api/media/mediagroup
Query parameters
namestring | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
tokenstring | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
publicTitlestring | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
groupTypestring | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
slugIdentifierstring | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
createdstring | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
updatedstring | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
orderinteger | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
itemOfTheDayboolean | This property is used to mark an entity as the item of the day. | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE |
idinteger | |
archivedboolean | |
addonData_shopify_product_idstring | |
addonData_vimeo_idstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of media groupsarray<MediaGroup>
Show fields (29)
idintegerPrimary key of the media group. Internal ID.
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
tokenstringPublic token of the group. Used instead of the ID.
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
unified_cat_idsobjectIDs of the unified categories.
unified_cat_namesobjectNames of the unified categories.
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
curl --request GET \
--url https://your-instance.iw-erp.de/api/media/mediagroup \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/media/mediagroup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/mediagroup"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/media/mediagroup', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/mediagroup"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/mediagroup")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/mediagroup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaGroupController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org",
"group_type": "string",
"view_mode": "string",
"token": "string",
"public_link": "string",
"public_link_rss": "string"
}
]Add a new MediaGroup
POST/api/media/mediagroup
Request body application/json
dataMediaGroup2Show fields (27)
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
archivedbooleanThe group is archived.
namestringInternal name of the group.
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
ucatsarray<UnifiedCategory11>Unified categories of the entity.
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
Responses
200Add a new MediaGroupMediaGroup3
Show fields (33)
idintegerPrimary key of the media group. Internal ID.
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
tokenstringPublic token of the group. Used instead of the ID.
archivedbooleanThe group is archived.
namestringInternal name of the group.
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage3>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser46User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
ucatsarray<UnifiedCategory22>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory22>Child categories.
parentUnifiedCategory22Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
curl --request POST \
--url https://your-instance.iw-erp.de/api/media/mediagroup \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
description: 'Text',
public_title: 'Beispiel',
public_description: 'Text',
public_owner_name: 'Beispiel',
public_owner_mail: 'lena.hartmann@example.org'
}
})
};
fetch('https://your-instance.iw-erp.de/api/media/mediagroup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/mediagroup"
payload = { "data": {
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/media/mediagroup', [
'body' => '{"data":{"name":"Beispiel","description":"Text","public_title":"Beispiel","public_description":"Text","public_owner_name":"Beispiel","public_owner_mail":"lena.hartmann@example.org"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/mediagroup"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/mediagroup")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/mediagroup"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/media_group.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaGroupController.post(MediaGroup.fromJson({
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org",
"group_type": "string",
"view_mode": "string",
"token": "string"
}Returns a single media group with the given id or token
GET/api/media/mediagroup/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Returns a single media group with the given id or tokenMediaGroup3
Show fields (33)
idintegerPrimary key of the media group. Internal ID.
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
tokenstringPublic token of the group. Used instead of the ID.
archivedbooleanThe group is archived.
namestringInternal name of the group.
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage3>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser46User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
ucatsarray<UnifiedCategory22>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory22>Child categories.
parentUnifiedCategory22Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
curl --request GET \
--url https://your-instance.iw-erp.de/api/media/mediagroup/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/media/mediagroup/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/mediagroup/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/media/mediagroup/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/mediagroup/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/mediagroup/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/mediagroup/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaGroupController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org",
"group_type": "string",
"view_mode": "string",
"token": "string"
}Update a MediaGroup
PUT/api/media/mediagroup/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataMediaGroup2Show fields (27)
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
archivedbooleanThe group is archived.
namestringInternal name of the group.
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
ucatsarray<UnifiedCategory11>Unified categories of the entity.
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
Responses
200Update a MediaGroupMediaGroup3
Show fields (33)
idintegerPrimary key of the media group. Internal ID.
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
tokenstringPublic token of the group. Used instead of the ID.
archivedbooleanThe group is archived.
namestringInternal name of the group.
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage3>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser46User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
ucatsarray<UnifiedCategory22>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory22>Child categories.
parentUnifiedCategory22Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/media/mediagroup/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
description: 'Text',
public_title: 'Beispiel',
public_description: 'Text',
public_owner_name: 'Beispiel',
public_owner_mail: 'lena.hartmann@example.org'
}
})
};
fetch('https://your-instance.iw-erp.de/api/media/mediagroup/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/mediagroup/42"
payload = { "data": {
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/media/mediagroup/42', [
'body' => '{"data":{"name":"Beispiel","description":"Text","public_title":"Beispiel","public_description":"Text","public_owner_name":"Beispiel","public_owner_mail":"lena.hartmann@example.org"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/mediagroup/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/mediagroup/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/mediagroup/42"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/media_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/media_group.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MediaGroupController.put(MediaGroup.fromJson({
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org",
"group_type": "string",
"view_mode": "string",
"token": "string"
}Update a MediaGroup
PATCH/api/media/mediagroup/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataMediaGroup2Show fields (27)
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
archivedbooleanThe group is archived.
namestringInternal name of the group.
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
ucatsarray<UnifiedCategory11>Unified categories of the entity.
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
Responses
200Update a MediaGroupMediaGroup3
Show fields (33)
idintegerPrimary key of the media group. Internal ID.
group_typestringType of the group, for example podcast or album.
view_modestringDisplay mode of the group, for example list or grid.
tokenstringPublic token of the group. Used instead of the ID.
archivedbooleanThe group is archived.
namestringInternal name of the group.
descriptionstringinternal description
public_titlestringTitle shown to the public.
public_linkstringPublic link to the group.
public_link_rssstringLink to the RSS feed of the group.
public_copyrightstringCopyright text shown with the group.
public_language_codestringLanguage of the group, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_descriptionstringDescription shown to the public.
public_owner_namestringOwner name in the podcast feed.
public_owner_mailstringOwner e-mail address in the podcast feed.
public_explicitbooleanThe content is marked as explicit.
public_thumbnailstringURL of the cover image.
public_keywordsstringKeywords of the group.
public_categorystringCategory of the group shown to the public.
public_itunes_typestringType in the iTunes feed, for example episodic or serial.
public_guidstringGlobal unique ID of the group, used in feeds.
auto_reload_timeintegerTime in seconds after which the group is reloaded automatically.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage3>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser46User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
ucatsarray<UnifiedCategory22>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory22>Child categories.
parentUnifiedCategory22Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
slug_identifierstringSlug used in URLs of the entity.
orderintegerPosition of the entity in the order.
item_of_the_daybooleanThis property is used to mark an entity as the item of the day.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/media/mediagroup/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
description: 'Text',
public_title: 'Beispiel',
public_description: 'Text',
public_owner_name: 'Beispiel',
public_owner_mail: 'lena.hartmann@example.org'
}
})
};
fetch('https://your-instance.iw-erp.de/api/media/mediagroup/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/media/mediagroup/42"
payload = { "data": {
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/media/mediagroup/42', [
'body' => '{"data":{"name":"Beispiel","description":"Text","public_title":"Beispiel","public_description":"Text","public_owner_name":"Beispiel","public_owner_mail":"lena.hartmann@example.org"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/media/mediagroup/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/media/mediagroup/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/media/mediagroup/42"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"description\":\"Text\",\"public_title\":\"Beispiel\",\"public_description\":\"Text\",\"public_owner_name\":\"Beispiel\",\"public_owner_mail\":\"lena.hartmann@example.org\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/media/mediagroup/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org"
}
}),
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_title": "Beispiel",
"public_description": "Text",
"public_owner_name": "Beispiel",
"public_owner_mail": "lena.hartmann@example.org",
"group_type": "string",
"view_mode": "string",
"token": "string"
}